Anonymous Login
2019-02-22 12:18 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000185v1.1 Release (Closed)[All Projects] Generalpublic2009-09-09 22:45
Reporterpacho 
Assigned Tocaseydk 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.1 
Summary0000185: Projects that are assigned to a department cannot be shown in the department view
DescriptionClicking the 'projects'-tab in the department view leads to a fatal error:
Catchable fatal error: Object of class CDepartment could not be converted to string in /var/www/w2p/modules/projects/projects.class.php on line 1057
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000299

caseydk (administrator)

Resolved this in r434 in an incredibly hackish way that might get me burned at the stake by people whom I respect and know where I live;

This one will likely stay fixed with a hack until the monstrosity that is the "projects_list_data()" function is eliminated.

~0000300

caseydk (administrator)

At present, this has *NOT* been rolled into a release as it is the only "bug" found so far on the v1.0 code.

If there are others/important ones found, we may do a pre-v1.1 release but at present, this is being held for v1.1

~0000469

caseydk (administrator)

Closed for release.
+Notes

-Issue History
Date Modified Username Field Change
2009-06-10 03:29 pacho New Issue
2009-06-10 09:03 caseydk Status new => resolved
2009-06-10 09:03 caseydk Resolution open => fixed
2009-06-10 09:03 caseydk Assigned To => caseydk
2009-06-10 09:03 caseydk Note Added: 0000299
2009-06-10 09:04 caseydk Note Added: 0000300
2009-06-26 11:27 caseydk Project v1.0 Release (Closed) => v1.1 Release (Closed)
2009-09-09 22:45 caseydk Status resolved => closed
2009-09-09 22:45 caseydk Note Added: 0000469
2009-09-09 22:45 caseydk Fixed in Version => 1.1
+Issue History